Modify

Opened 6 years ago

Closed 6 years ago

Last modified 4 years ago

#11066 closed defect (fixed)

(php5) php-cgi and php-fcgi problem to load dynamic library

Reported by: tm@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: php5 Cc:

Description

(php5)

hello.php

<?php

print "Hello World";

?>

php-cli hello.php

php-cli: symbol 'php_sockets_le_socket': can't resolve symbol in lib '/usr/lib/php/libevent.so'.
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/libevent.so' - (null) in Unknown on line 0
Hello World


mv /etc/php5/sockets.ini /etc/php5/asockets.ini
solve the problem,
it seems that it is a problem of the order to load the library

Attachments (0)

Change History (2)

comment:1 Changed 6 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

fixed in r32344

comment:2 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.